import 'package:json_annotation/json_annotation.dart';

part 'cartInfo.g.dart';

@JsonSerializable()
class CartInfo {
    CartInfo();

    num id;
    String type;
    num product_id;
    String product_attr_unique;
    num cart_num;
    num combination_id;
    num seckill_id;
    num bargain_id;
    Map<String,dynamic> productInfo;
    num truePrice;
    num vip_truePrice;
    num trueStock;
    
    factory CartInfo.fromJson(Map<String,dynamic> json) => _$CartInfoFromJson(json);
    Map<String, dynamic> toJson() => _$CartInfoToJson(this);
}
